Skip to main content
PATCH
/
custom-fields
/
{uuid}
Update a custom field definition
curl --request PATCH \
  --url https://api.journeybee.io/v1/custom-fields/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "shared": true,
  "required": true
}
'
{
  "uuid": "<string>",
  "label": "<string>",
  "options": [
    {
      "id": 123,
      "label": "<string>"
    }
  ],
  "shared": true,
  "required": true,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
label
string
shared
boolean
required
boolean

Response

200 - application/json

Default Response

uuid
string
required
label
string
required
type
enum<string>
required
Available options:
text,
textarea,
number,
date,
boolean,
select,
multi_select
category
enum<string>
required
Available options:
lead,
partner,
lead_deal,
contact
partner_type
enum<string>
required
Available options:
referral,
reseller,
distributor
options
object[] | null
required
shared
boolean
required
required
boolean
required
created_at
string
required
updated_at
string
required